> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch Jobs

> Get all jobs created for downloading Form 16 & Form16A



## OpenAPI

````yaml api-reference/tds/compliance/openapi.json POST /tds/compliance/traces/deductors/forms/{certificate_type}/search
openapi: 3.0.1
info:
  title: compliance
  description: >-
    Tax Deducted at Source (TDS) is an indirect method of collecting Income Tax.
    TDS is based on the principle of “Pay as you earn” which is beneficial for
    both the Government and the taxpayer. It is where a person making a payment
    of specified nature is liable to deduct tax at a prescribed rate. This
    ensures continuous revenue for the Government by way of Tax Deducted at the
    Source.


    The Payer making a payment is also responsible to deposit TDS with the
    Income Tax Department within a specified date and file a TDS Return. Once
    filed, the deposited amount will be shown in the Payee's Form 26AS which
    they can then use to claim tax credits when filing ITR.


    However, staying TDS compliant can be a hassle for businesses, as they are
    required to :


    1. Deduct TDS from payments that are liable for TDS Deduction at an
    appropriate rate.
        
    2. Deposit TDS to Government before the due date.
        
    3. File TDS Returns on a Quarterly basis.
        
    4. Issue a TDS Certificate by the deductor to the deductee.
        

    Organizations deducting TDS have to remain compliant with each of the steps.
    Failure to do so results in TDS Penalties by Authorities. Sandbox provides
    TDS Compliance APIs to help you automate end-to-end TDS compliance.
  version: 1.0.0
servers:
  - url: https://test-api.sandbox.co.in
  - url: https://api.sandbox.co.in
security: []
paths:
  /tds/compliance/traces/deductors/forms/{certificate_type}/search:
    post:
      tags:
        - TDS Certificate
      summary: Fetch Jobs
      parameters:
        - name: certificate_type
          in: path
          description: ''
          required: true
          example: ''
          schema:
            type: string
        - name: authorization
          in: header
          description: JWT access token
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: ''
          schema:
            type: string
        - name: x-api-version
          in: header
          description: ''
          required: false
          example: ''
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                '@entity':
                  type: string
                  enum:
                    - in.co.sandbox.tds.compliance.certificate.job.search
                tan:
                  description: 'Regular Expression: [A-Z]{4}[0-9]{5}[A-Z]{1}'
                  type: string
                quarter:
                  description: Quarter (e.g. Q2)
                  type: string
                form:
                  description: TDS return form
                  type: string
                financial_year:
                  description: Financial Year (e.g. FY 2022-23)
                  type: string
                from_date:
                  description: >-
                    Date from which jobs are to be fetched. Value in EPOCH
                    timestamp
                  type: integer
                to_date:
                  description: >-
                    Date till which jobs are to be fetched. Value in EPOCH
                    timestamp
                  type: integer
                page_size:
                  description: >-
                    Number of records in the API response. Maximum allowed size
                    is 50
                  type: integer
                last_evaluated_key:
                  description: >-
                    Base64 encoding of the stringified JSON object, which
                    includes x-api-key, created_at, and job_id
                  type: string
              required:
                - '@entity'
            examples:
              200 Jobs fetched:
                value:
                  '@entity': in.co.sandbox.tds.compliance.certificate.job.search
                summary: 200 Jobs fetched
      responses:
        '200':
          description: 200 - OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: integer
                  timestamp:
                    type: integer
                  transaction_id:
                    type: string
                  data:
                    type: object
                    properties:
                      '@entity':
                        type: string
                      items:
                        type: array
                        items:
                          type: object
                          properties:
                            '@entity':
                              type: string
                            job_id:
                              type: string
                            tan:
                              type: string
                            financial_year:
                              type: string
                            quarter:
                              type: string
                            form:
                              type: string
                            created_at:
                              type: integer
                            updated_at:
                              type: integer
                            status:
                              type: string
                            remember_me:
                              type: boolean
                      last_evaluated_key:
                        type: string
              examples:
                200 Jobs fetched:
                  summary: 200 Jobs fetched
                  value:
                    code: 200
                    timestamp: 1616223746147
                    transaction_id: f24cd229-42c8-43de-af79-8ce2d3c4c3db
                    data:
                      '@entity': in.co.sandbox.tds.compliance.certificate.paginated_list
                      items:
                        - '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: 096c4812-1829-4ee1-a3c6-3bd291654b72
                          tan: AHMS12345C
                          financial_year: FY 2023-24
                          quarter: Q2
                          form: 26Q
                          created_at: 1714529043000
                          updated_at: 1714529044000
                          status: succeeded
                          remember_me: true
                        - '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: 096c4812-1829-4ee1-a3c6-3bd291654b72
                          tan: AHMS12345C
                          financial_year: FY 2023-24
                          quarter: Q2
                          form: 26Q
                          created_at: 1714527043000
                          updated_at: 1714527044000
                          status: failed
                          message: Invalid credentials
                          remember_me: false
                        - '@entity': in.co.sandbox.tds.compliance.certificate.job
                          job_id: 096c4812-1829-4ee1-a3c6-3bd291654b72
                          tan: AHMS12345C
                          financial_year: FY 2023-24
                          quarter: Q2
                          form: 26Q
                          created_at: 1714530043000
                          updated_at: 1714530044000
                          status: failed
                          message: >-
                            Form not available for the given quarter and
                            financial year
                          remember_me: false
                      last_evaluated_key: eydadadadada...==
          headers: {}
      deprecated: false
      security: []

````